
QGIS Application - Bug report #12151

composer map item content shifts downwards when zoom level greater than 800%

2015-02-08 02:52 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20344

Description

Since QGIS 2.6, the content of a map item will incrementally shifts downwards as the zoom level increases when starting at 800%. It

effectively prevents using an extreme zoom value to fine-tune the location of a composer element (say an arrow item) and the content of a

map item.

Steps to reproduce:

    1. Open an existing QGIS project

    2. Create a composer, or open an existing composer which has a map item

    3. Make sure the map item you'll use is set to "cache" 

    4. Set the composer zoom level to 800%, pan the composer sheet so the map item's content is visible, and hit the map item's "Update

preview" button

    5. Set the composer zoom level to 825%, and hit the map item's "Update preview" button again

    6. You'll notice the map item's content begins to shift downwards

    7. Repeat the operation with zoom levels 850%, 875%, 900%, etc. to see the map item's content slowly sicking downwards :)

I'm setting this as a blocker, Nyall, feel free to downgrade if you think it shouldn't be set to such a high priority.

Associated revisions

Revision 70a0a6e3 - 2015-02-17 02:38 PM - Martin Dobias

Fix #12151 - fix cached composer map image when zoomed in a lot

The map was being rendered with wrong parameters when width or height

exceeded 5000 pixels.

History

#1 - 2015-02-08 02:54 AM - Mathieu Pellerin - nIRV

- File 875_percent.jpg added

- File 825_percent.jpg added

- File 800_percent.jpg added

Adding screenshots that shows the issue; check the rulers to take note of the content shift.

#2 - 2015-02-17 05:18 AM - Martin Dobias

- Assignee changed from Nyall Dawson to Martin Dobias

#3 - 2015-02-17 05:40 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"70a0a6e3afa3c789866491b5e9ce71a22a874af8".

Files

800_percent.jpg 112 KB 2015-02-08 Mathieu Pellerin - nIRV

825_percent.jpg 113 KB 2015-02-08 Mathieu Pellerin - nIRV

875_percent.jpg 111 KB 2015-02-08 Mathieu Pellerin - nIRV
